Bug 1083 - [UPDATE REQUEST] [UPSTREAM UPDATE] ORBit2
: [UPDATE REQUEST] [UPSTREAM UPDATE] ORBit2
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 12:26 MSK by Andrew Lukoshko
Modified: 2012-11-23 13:16 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-14 12:26:18 MSK
Update for ORBit2 from RHEL6 upstream.

Advisory:
* ORBit2 connection code was unable to process the EAGAIN error, which can be
returned by an AF_UNIX socket due to too many simultaneous connection requests.
This could cause gconfd-2 clients to fail to connect to the gconfd daemon.
Consequently, various errors were emitted when logging in to the GNOME 2 session
and the server was under a heavy load. This update adds the patch that enables
the ORBit2 request broker to wait for the defined time period if the EAGAIN
error is received, and then retry to establish the connection. Errors no longer
occur when logging in to the GNOME 2 session in this scenario.
http://rhn.redhat.com/errata/RHBA-2012-1457.html

Build lists:
https://abf.rosalinux.ru/build_lists/845544
https://abf.rosalinux.ru/build_lists/845545

Please DON'T PUBLISH, just test.
Comment 1 Vladimir Potapov 2012-11-22 19:15:49 MSK
ORBit2-2.14.17-3.2.res6
******************* RHEL Advisory ******************
* ORBit2 connection code was unable to process the EAGAIN error, which can be
returned by an AF_UNIX socket due to too many simultaneous connection requests.
This could cause gconfd-2 clients to fail to connect to the gconfd daemon.
Consequently, various errors were emitted when logging in to the GNOME 2 session
and the server was under a heavy load. This update adds the patch that enables
the ORBit2 request broker to wait for the defined time period if the EAGAIN
error is received, and then retry to establish the connection. Errors no longer
occur when logging in to the GNOME 2 session in this scenario.
********************************************************
QA Verified